Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Update user permissions

Prev Next
Put
/identity/users/{userId}/permissions

Updates the user permissions, including User Type and Expiration date.

Required permissions: READ_USER, WRITE_USER, READ_USER_PERMISSIONS, WRITE_USER_PERMISSIONS.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Path parameters
userId
stringRequired

The user identifier.

Minimum1.0
Exampleabcd1234
Body parameters

The details of the permissions being updated.

Expand All
object
userType
object

The User Type identifier.

id
string
Example1234abcd
endTimestamp
integer (int64)

The expiration date of the user account. After that date, the user will no longer be able to log in.

Example1578438000000
Responses
200

Successfully updated.

401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
404

Resource was not found.

object
message
string

The error response.

ExampleResource not found
429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error